GrailsProjectConsole (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.codehaus.groovy.grails.project.ui
[Groovy] Class GrailsProjectConsole

    java.lang.Object
      org.codehaus.groovy.grails.cli.api.BaseSettingsApi
          org.codehaus.groovy.grails.project.ui.GrailsProjectConsole

    @groovy.transform.CompileStatic
    class GrailsProjectConsole
    extends BaseSettingsApi

Loads the Grails console Swing UI

Authors:
  Graeme Rocher

Since:
  2.3

Field Summary

Fields inherited from class BaseSettingsApi
appClassName, buildEventListener, buildProps, buildSettings, configSlurper, enableProfile, grailsAppName, grailsHome, isInteractive, metadata, metadataFile, pluginSettings, pluginsHome, resolver

Property Summary
`GrailsProjectCompiler` | `projectCompiler`
`GrailsProjectLoader` | `projectLoader`

Constructor Summary
`GrailsProjectConsole(BuildSettings buildSettings)`
`GrailsProjectConsole(GrailsProjectLoader projectLoader)`

Method Summary
`java.io.Console` | `createConsole()`
`protected java.io.Console` | `createConsole(org.springframework.context.ApplicationContext applicationContext, GrailsApplication grailsApplication)`
`java.io.Console` | `run()`
`protected void` | `sleepWhileActive()`

Methods inherited from class BaseSettingsApi
confirmInput, confirmInput, copyGrailsResource, copyGrailsResource, copyGrailsResources, copyGrailsResources, createXmlSlurper, enableUaa, exit, getAppClassName, getAppGrailsVersion, getBuildEventListener, getBuildProps, getBuildSettings, getConfigSlurper, getGrailsAppName, getGrailsAppVersion, getGrailsHome, getIsInteractive, getMetadata, getMetadataFile, getPluginBuildSettings, getPluginSettings, getPluginsHome, getPropertyValue, getResolver, getServerHost, getServerPort, getServerPortHttps, getServletVersion, grailsResource, isDeclared, isEnableProfile, logError, logErrorAndExit, makeApiAvailableToScripts, makeRelative, makeRelative, profile, readAllPluginXmlMetadata, readPluginXmlMetadata, resolveResources, updateMetadata, updateMetadata

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Property Detail

### projectCompiler

    GrailsProjectCompiler projectCompiler

### projectLoader

    GrailsProjectLoader projectLoader

Constructor Detail

### GrailsProjectConsole

    GrailsProjectConsole(BuildSettings buildSettings)

### GrailsProjectConsole

    GrailsProjectConsole(GrailsProjectLoader projectLoader)

Method Detail

### createConsole

    java.io.Console createConsole()

### createConsole

    protected java.io.Console createConsole(org.springframework.context.ApplicationContext applicationContext, GrailsApplication grailsApplication)

### run

    java.io.Console run()

### sleepWhileActive

    protected void sleepWhileActive()

Groovy Documentation